Create an address
curl --request POST \
--url https://b.anny.co/api/v1/addresses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "addresses",
"attributes": {
"street_address": "Example Street 12",
"address_line_2": "2nd Floor",
"zip_code": "52070",
"city": "Aachen",
"country_code": "DE"
}
}
}
'import requests
url = "https://b.anny.co/api/v1/addresses"
payload = { "data": {
"type": "addresses",
"attributes": {
"street_address": "Example Street 12",
"address_line_2": "2nd Floor",
"zip_code": "52070",
"city": "Aachen",
"country_code": "DE"
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: 'addresses',
attributes: {
street_address: 'Example Street 12',
address_line_2: '2nd Floor',
zip_code: '52070',
city: 'Aachen',
country_code: 'DE'
}
}
})
};
fetch('https://b.anny.co/api/v1/addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "address",
"attributes": {
"street_address": "<string>",
"address_line_2": "<string>",
"city": "<string>",
"area": "<string>",
"zip_code": "<string>",
"country_code": "<string>",
"latitude": 123,
"longitude": 123
},
"links": {
"self": "<string>"
}
}
}Account
Create an address
Create a standalone address resource. The business-account settings flow uses this to create a new primary address before linking it to the business account.
POST
/
api
/
v1
/
addresses
Create an address
Autorisierungen
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/vnd.api+json
A physical address for an organization or customer.
Show child attributes
Show child attributes
Antwort
201 - application/vnd.api+json
Address created
A physical address for an organization or customer.
Show child attributes
Show child attributes
⌘I